Public Attributes | List of all members
ble_l2cap_evt_t Struct Reference
BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

BLE L2CAP event structure. More...

`#include <ble_l2cap.h>`

Collaboration diagram for ble_l2cap_evt_t:
[legend]

## Public Attributes
uint8_t | index
| Index of connection. More...
union {
ble_l2cap_evt_conn_req_t conn_req
| Link Encrypte Request event. More...
ble_l2cap_evt_conn_ind_t conn_ind
| Link Encrypted event. More...
ble_l2cap_evt_add_credits_ind_t add_credits_ind
| Key Press Notify event. More...
ble_l2cap_evt_disconnect_t disconnected
| Key Missing event. More...
ble_l2cap_evt_sdu_recv_t sdu_recv
| Link Encrypte Request event. More...
ble_l2cap_evt_sdu_send_t sdu_send
| Link Encrypted event. More...
ble_l2cap_evt_add_credits_cplt_t add_credits_cplt
| Key Press Notify event. More...
ble_l2cap_evt_enh_conn_req_t enh_conn_req
| Key Missing event. More...
ble_l2cap_evt_enh_conn_ind_t enh_conn_ind
| Key Missing event. More...
ble_l2cap_evt_enh_reconfig_ind_t enh_reconfig_ind
| Key Missing event. More...
} | params
| The Parameters of l2cap event. More...

## Detailed Description

BLE L2CAP event structure.

Definition at line 271 of file ble_l2cap.h.

## Member Data Documentation

## ◆ add_credits_cplt

ble_l2cap_evt_add_credits_cplt_t ble_l2cap_evt_t::add_credits_cplt

Key Press Notify event.

Definition at line 282 of file ble_l2cap.h.

## ◆ add_credits_ind

ble_l2cap_evt_add_credits_ind_t ble_l2cap_evt_t::add_credits_ind

Key Press Notify event.

Definition at line 278 of file ble_l2cap.h.

## ◆ conn_ind

ble_l2cap_evt_conn_ind_t ble_l2cap_evt_t::conn_ind

Link Encrypted event.

Definition at line 277 of file ble_l2cap.h.

## ◆ conn_req

ble_l2cap_evt_conn_req_t ble_l2cap_evt_t::conn_req

Link Encrypte Request event.

Definition at line 276 of file ble_l2cap.h.

## ◆ disconnected

ble_l2cap_evt_disconnect_t ble_l2cap_evt_t::disconnected

Key Missing event.

Definition at line 279 of file ble_l2cap.h.

## ◆ enh_conn_ind

ble_l2cap_evt_enh_conn_ind_t ble_l2cap_evt_t::enh_conn_ind

Key Missing event.

Definition at line 284 of file ble_l2cap.h.

## ◆ enh_conn_req

ble_l2cap_evt_enh_conn_req_t ble_l2cap_evt_t::enh_conn_req

Key Missing event.

Definition at line 283 of file ble_l2cap.h.

## ◆ enh_reconfig_ind

ble_l2cap_evt_enh_reconfig_ind_t ble_l2cap_evt_t::enh_reconfig_ind

Key Missing event.

Definition at line 285 of file ble_l2cap.h.

## ◆ index

uint8_t ble_l2cap_evt_t::index

Index of connection.

Definition at line 273 of file ble_l2cap.h.

## ◆ params

union { ... } ble_l2cap_evt_t::params

The Parameters of l2cap event.

## ◆ sdu_recv

ble_l2cap_evt_sdu_recv_t ble_l2cap_evt_t::sdu_recv

Link Encrypte Request event.

Definition at line 280 of file ble_l2cap.h.

## ◆ sdu_send

ble_l2cap_evt_sdu_send_t ble_l2cap_evt_t::sdu_send

Link Encrypted event.

Definition at line 281 of file ble_l2cap.h.

The documentation for this struct was generated from the following file:

- ble_l2cap.h